@ECHO OFF
SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION
IF %1.==/?. MORE %~nx0 | Find /V "MORE"| Find ":: "
:: To create a aXPcli.lst from an existing build navigate to ROOT
:: and issue command:
:: DIR /A:D /B /S >aXPcli.lst&DIR /A:-D /B /S>>aXPcli.lst
:: then edit it removing the drive letter and PATH to ROOT, then
:: add a # in front of BOOT.INI (if present)
:: add a  in front of directories
:: add a # in front of .lst or .log files(or simply remove the entries)
:: There is no need for the directories to be at the top but it's easier
:: To add the # to just the few first entries.
GOTO :Begin

EXAMPLE (for a base build) you can copy it to a new file:
BEGIN COPY BELOW THIS LINE ------------------------------

# Example aXPCLI.lst file
# Any line beginning with the "#" is a comment and will be ignored
# Any line beginning with the "" is a Directory Name that will be created
# Any blank line will be skipped, they can be used to improve readability
# The five lines related to Registry files:
WINDOWS\system32\config\DEFAULT  
WINDOWS\system32\config\SAM  
WINDOWS\system32\config\SECURITY  
WINDOWS\system32\config\SOFTWARE  
WINDOWS\system32\config\SYSTEM  
# are here just for reference and will not be used as well, the MK_XPCLI.CMD
# is hardcoded to get these files from \BaseRegistry subdirectory
# Directories: 
WINDOWS  
WINDOWS\system  
WINDOWS\system32  
WINDOWS\system32\config  
WINDOWS\system32\drivers  
# These files may be present in a .lst file generated from a DIR of a build
# they are also kept just for reference
#aXPcli.lst  
#aXPcli.log  
#BOOT.INI  
# Following is the "real" file list that will be included in the build
NTDETECT.COM  
NTLDR  
WINDOWS\system\vga850.fon  
WINDOWS\system32\advapi32.dll  
WINDOWS\system32\basesrv.dll  
WINDOWS\system32\bootvid.dll  
WINDOWS\system32\cmd.exe  
WINDOWS\system32\csrsrv.dll  
WINDOWS\system32\csrss.exe  
WINDOWS\system32\ctype.nls  
WINDOWS\system32\c_10000.nls  
WINDOWS\system32\c_1252.nls  
WINDOWS\system32\c_437.nls  
WINDOWS\system32\c_850.nls  
WINDOWS\system32\dciman32.dll  
WINDOWS\system32\ega.cpi  
WINDOWS\system32\fontsub.dll  
WINDOWS\system32\framebuf.dll  
WINDOWS\system32\gdi32.dll  
WINDOWS\system32\geo.nls  
WINDOWS\system32\hal.dll  
WINDOWS\system32\imm32.dll  
WINDOWS\system32\iologmsg.dll  
WINDOWS\system32\kbdus.dll  
WINDOWS\system32\kdcom.dll  
WINDOWS\system32\kernel32.dll  
WINDOWS\system32\locale.nls  
WINDOWS\system32\lpk.dll  
WINDOWS\system32\l_except.nls  
WINDOWS\system32\l_intl.nls  
WINDOWS\system32\mscms.dll  
WINDOWS\system32\msimg32.dll  
WINDOWS\system32\msvcrt.dll  
WINDOWS\system32\ntdll.dll  
WINDOWS\system32\ntoskrnl.exe  
WINDOWS\system32\pidgen.dll  
WINDOWS\system32\prflbmsg.dll  
WINDOWS\system32\rpcrt4.dll  
WINDOWS\system32\smss.exe  
WINDOWS\system32\sortkey.nls  
WINDOWS\system32\sorttbls.nls  
WINDOWS\system32\sxs.dll  
WINDOWS\system32\unicode.nls  
WINDOWS\system32\user32.dll  
WINDOWS\system32\userenv.dll  
WINDOWS\system32\version.dll  
WINDOWS\system32\vga.dll  
WINDOWS\system32\vga.drv  
WINDOWS\system32\watchdog.sys  
WINDOWS\system32\win32k.sys  
WINDOWS\system32\winlogon.exe  
WINDOWS\system32\winspool.drv  
WINDOWS\system32\winsrv.dll  
WINDOWS\system32\winsta.dll  
WINDOWS\system32\drivers\atapi.sys  
WINDOWS\system32\drivers\classpnp.sys  
WINDOWS\system32\drivers\disk.sys  
WINDOWS\system32\drivers\dxapi.sys  
WINDOWS\system32\drivers\dxg.sys  
WINDOWS\system32\drivers\dxgthk.sys  
WINDOWS\system32\drivers\fastfat.sys  
WINDOWS\system32\drivers\fs_rec.sys  
WINDOWS\system32\drivers\ftdisk.sys  
WINDOWS\system32\drivers\i8042prt.sys  
WINDOWS\system32\drivers\isapnp.sys  
WINDOWS\system32\drivers\kbdclass.sys  
WINDOWS\system32\drivers\ksecdd.sys  
WINDOWS\system32\drivers\mountmgr.sys  
WINDOWS\system32\drivers\npfs.sys  
WINDOWS\system32\drivers\ntfs.sys  
WINDOWS\system32\drivers\partmgr.sys  
WINDOWS\system32\drivers\pci.sys  
WINDOWS\system32\drivers\pciide.sys  
WINDOWS\system32\drivers\pciidex.sys  
WINDOWS\system32\drivers\vga.sys  
WINDOWS\system32\drivers\videoprt.sys  
WINDOWS\system32\drivers\wmilib.sys
 
#Added by jaclaz

#To allow using .reg files:
WINDOWS\system32\REG.EXE

#To create a Directory for .reg files
WINDOWS\REGFILES

#To add Mouse support
WINDOWS\REGFILES\mouse.reg
WINDOWS\system32\drivers\mouclass.sys

#To add CD support:
WINDOWS\REGFILES\cdfs.reg
WINDOWS\system32\drivers\cdfs.sys
WINDOWS\system32\drivers\cdrom.sys

#To add FAT support:
WINDOWS\REGFILES\fastfat.reg
WINDOWS\system32\drivers\fastfat.sys

#To manage console properties:
#WINDOWS\system32\console.dll
#WINDOWS\system32\comctl32.dll
#WINDOWS\system32\shell32.dll
#WINDOWS\system32\shlwapi.dll

#To create a Directory for programs
WINDOWS\Apps

#To create a Directory for various things
WINDOWS\Other

#To add some Fonts:
WINDOWS\FONTS
#Marlett is used for some symbols in the GUI
WINDOWS\FONTS\marlett.ttf
#But if we add it we must also add:
WINDOWS\FONTS\tahoma.ttf

#To add DOS NAVIGATOR
WINDOWS\Apps\dn

#To add BBLEAN
WINDOWS\Apps\bblean
WINDOWS\bb.cmd
WINDOWS\fileass.cmd
WINDOWS\system32\shell32.dll
WINDOWS\system32\ole32.dll

#To add SwissKnife
WINDOWS\Apps\SwissKnife
WINDOWS\system32\winmm.dll

#To add Edxor
#WINDOWS\Edxor.exe
#WINDOWS\riched32.dll
#WINDOWS\system32\comctl32.dll
#WINDOWS\system32\comdlg32.dll
#WINDOWS\system32\ole32.dll
#WINDOWS\system32\oleaut32.dll
#WINDOWS\system32\riched20.dll
#WINDOWS\system32\shell32.dll
#WINDOWS\system32\shlwapi.dll

#To add NTRegEdit
WINDOWS\NTRegEdit.exe
WINDOWS\system32\aclui.dll
WINDOWS\system32\comctl32.dll
WINDOWS\system32\comdlg32.dll
WINDOWS\system32\mfc42.dll
WINDOWS\system32\msvcp60.dll
WINDOWS\system32\ole32.dll
WINDOWS\system32\oleaut32.dll
WINDOWS\system32\olepro32.dll
WINDOWS\system32\shell32.dll
WINDOWS\system32\shlwapi.dll


END COPY ABOVE THIS LINE ------------------------------

:Begin
ECHO This batch will produce a BASE aXPcli.lst file to be used
ECHO with the MK_XPcli.cmd batch file
ECHO Type %~nx0 /? for a simple howto for creating a aXPcli.lst 
ECHO file from an existing build
PAUSE
IF EXIST aXPcli.lst ECHO WARNING! Existing aXPcli.lst will be deleted.&DEL /P aXPcli.lst
For /F "tokens=1,2,* delims= " %%A IN (%~nx0) DO (
IF "%%A %%B"=="BEGIN COPY" SET DOECHO=1
IF "%%A %%B"=="END COPY" SET DOECHO=0
IF NOT %%A==BEGIN IF !DOECHO!==1 ECHO %%A %%B %%C&ECHO %%A %%B %%C>>aXPcli.lst
)
IF EXIST aXPcli.lst ECHO File aXPcli.lst created.
PAUSE